#ifndef REAL_H__
#define REAL_H__

#include <math.h>

#ifdef USE_DOUBLE
typedef double real;
#define R_ZERO	1e-8
#define rabs fabs
#define rsqrt sqrt
#define clAmdBlasGemmEx clAmdBlasDgemmEx
#else
typedef float real;
#define R_ZERO	1e-6
#define rabs fabsf
#define rsqrt sqrtf
#define clAmdBlasGemmEx clAmdBlasSgemmEx
#endif

#endif
